package cn.com.qmth.stmms.biz.exam.model;

import java.io.Serializable;

import cn.com.qmth.stmms.common.annotation.ExcelField;

public class MarkerDTO implements Serializable {

    private static final long serialVersionUID = 9026500878343612005L;

    // 评卷员主键
    private Integer markerId;

    // 评卷员姓名
    private String name;

    // 评卷登录号(旧)
    @ExcelField(title = "原评卷员(必填)", align = 2, sort = 20)
    private String loginName;

    // 评卷登录号(新)
    @ExcelField(title = "新评卷员(必填)", align = 2, sort = 30)
    private String newLoginName;

    // 评卷账号密码
    @ExcelField(title = "新评卷员密码(必填)", align = 2, sort = 40)
    private String password;

    // 分配课程数
    private long subjectCount;

    // 完成课程数
    private long finishedCount;

    // 完成数量
    private long markedCount;

    // 最高分
    private Double maxScore;

    // 最低分
    private Double minScore;

    // 平均分
    private Double avgScore;

    // 课程代码
    @ExcelField(title = "科目代码(必填)", align = 2, sort = 10)
    private String subjectCode;

    // 课程名称
    private String subjectName;

    // 回评个数
    private long rejectCount;

    // 考试Id
    private int examId;

    public MarkerDTO() {
    }

    public MarkerDTO(Marker marker) {
        this.name = marker.getName();
        this.loginName = marker.getLoginName();
        this.markerId = marker.getId();
    }

    public Integer getMarkerId() {
        return markerId;
    }

    public void setMarkerId(Integer markerId) {
        this.markerId = markerId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public long getSubjectCount() {
        return subjectCount;
    }

    public void setSubjectCount(long subjectCount) {
        this.subjectCount = subjectCount;
    }

    public long getFinishedCount() {
        return finishedCount;
    }

    public void setFinishedCount(long finishedCount) {
        this.finishedCount = finishedCount;
    }

    public long getMarkedCount() {
        return markedCount;
    }

    public void setMarkedCount(long markedCount) {
        this.markedCount = markedCount;
    }

    public Double getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(Double maxScore) {
        this.maxScore = maxScore;
    }

    public Double getMinScore() {
        return minScore;
    }

    public void setMinScore(Double minScore) {
        this.minScore = minScore;
    }

    public Double getAvgScore() {
        return avgScore;
    }

    public void setAvgScore(Double avgScore) {
        this.avgScore = avgScore;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public long getRejectCount() {
        return rejectCount;
    }

    public void setRejectCount(long rejectCount) {
        this.rejectCount = rejectCount;
    }

    public String getNewLoginName() {
        return newLoginName;
    }

    public void setNewLoginName(String newLoginName) {
        this.newLoginName = newLoginName;
    }

    public int getExamId() {
        return examId;
    }

    public void setExamId(int examId) {
        this.examId = examId;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }
}
